Bug 478395 - Wireless ath5k driver stopped working. (gain calibration timeout)
Wireless ath5k driver stopped working. (gain calibration timeout)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 06:36 EST by Enygma
Modified: 2012-04-26 19:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 13:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log (37.47 KB, application/octet-stream)
2008-12-29 06:36 EST, Enygma
no flags Details

  None (edit)
Description Enygma 2008-12-29 06:36:59 EST
Created attachment 327921 [details]
dmesg log

Description of problem:
After starting my Acer Extensa 5620Z laptop about a week ago I noticed that I could not connect to my wireless router by using NetworkManager. I could see the list of available networks but when trying to connect, after a period of about 30 seconds I got the network authentication screen over and over again. (my entered credentials are correct, verified with another working computer) Sometimes it would just not even try to connect after selecting my ssid.

In dmesg I keps seeing this message, each time I tried to connect:
ath5k phy0: gain calibration timeout (2412MHz)
ath5k phy0: unable to reset hardware: -11
ath5k phy0: gain calibration timeout (2412MHz)
ath5k phy0: unable to reset hardware: -11

I was using the ath5k driver that came with fedora and it worked perfectly since the new 2.6.27 kernel provided support for it.

I had previously experienced once or twice this error but a power off and power back on did the trick and got it working. This workaround does no longer work.

$ uname -r
2.6.27.9-73.fc9.i686

$ lspci | grep Ath
04:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)
$ lspci -n | grep 04:00.0
04:00.0 0200: 168c:001c (rev 01)

Since it stopped working I did about 2-3 kernel updates but the behaviour is the same.
I tried the madwifi package from the rpmfusion repo, the http://wireless.kernel.org/download/compat-wireless-2.6/ package, the madwifi package specific to my card http://snapshots.madwifi-project.org/madwifi-hal-0.10.5.6/ and nothing worked.

I really need this working since the affected laptop is my work computer and at the office we only have wireless. A wired connection would be a real pain.

Version-Release number of selected component (if applicable):
$ modinfo ath5k
filename:       /lib/modules/2.6.27.9-73.fc9.i686/kernel/drivers/net/wireless/ath5k/ath5k.ko
version:        0.5.0 (EXPERIMENTAL)
license:        Dual BSD/GPL
description:    Support for 5xxx series of Atheros 802.11 wireless LAN cards.
author:         Nick Kossifidis
author:         Jiri Slaby
srcversion:     3D426BB4DB7011B1A29A2F5
alias:          pci:v0000168Cd0000001Csv*sd*bc*sc*i*
alias:          pci:v0000168Cd0000001Bsv*sd*bc*sc*i*
alias:          pci:v0000168Cd0000001Asv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000019sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000018sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000017sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000016sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000015sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000014sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00001014sv*sd*bc*sc*i*
alias:          pci:v000010B7d00000013sv*sd*bc*sc*i*
alias:          pci:v0000A727d00000013sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000013sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000012sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000011sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000007sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000207sv*sd*bc*sc*i*
depends:        cfg80211,mac80211
vermagic:       2.6.27.9-73.fc9.i686 SMP mod_unload 686 4KSTACKS
parm:           debug:uint


How reproducible:
Always since about a week ago.

Steps to Reproduce:
1. Use an Atheros AR2425 Wireless PCI Express Adapter
2. Boot Fedora 9
3. check dmesg log or try to connect to an AP and then check dmesg log.
  
Actual results:
DMESG:
ath5k phy0: gain calibration timeout (2412MHz)
ath5k phy0: unable to reset hardware: -11
ath5k phy0: gain calibration timeout (2412MHz)
ath5k phy0: unable to reset hardware: -11

After about 30 seconds the network password is requested or sometimes nothing happens.

Expected results:
To connect to the wireless network.

Additional info:
After trying different drivers as stated in the description I can no longer see the list of wireless networks using the ath5k driver provided by fedora.
I have done a "sudo make uninstall" on each package that I have tried.
Comment 1 Enygma 2009-01-05 15:14:30 EST
Curiously, after coming back from the holidays, it started to work again. I am using the same wireless router that I was using when it was not working and I have not done any updates.

It's like it did not like the apartment where I was staying for the holidays. Sounds weird but this is the only explication I could come up with.

P.S.: There is a big GSM Antenna one floor above(on the rooftop) the place I stayed during the holidays. Maybe that caused problems?

Anyway, I am very happy it started working but still very concerned that the problem might reappear.
Comment 2 Enygma 2009-01-14 10:02:49 EST
This keeps happening occasionally but it is always(at least at my office) fixable with a cold shut-down (shutdown and unplug).

Today I closed the laptop and then opened it back 1 minute after. After booting the gain calibration timeout occurred again.

Sometimes, when the wireless network disconnects for unknown reasons, when it tries to reconnect gain calibration timeout happens again and I have to shutdown.

Any news on if/when this will be fixed?

Thanks.
Comment 3 John W. Linville 2009-02-25 10:31:07 EST
Improvements to this driver are always on-going.  Hopefully problems like this will disappear now that Atheros is supporting us upstream.

What is the latest kernel version you have tried?
Comment 4 Enygma 2009-02-26 03:48:16 EST
Hi!

Thanks for the reply.

My current kernel version is 2.6.27.15-78.2.23.fc9.i686 and I always keep up to date.

It just happened to me again a couple of minutes ago after I booted up my laptop. I had to shut down and boot-up again to make it work.

Luckaly, at my office I am not experiencing unrecoverable situations like I did in my previous posts so I can live with it, but it's a real pain in the neck.

Extra info:

$ modinfo ath5k
filename:       /lib/modules/2.6.27.15-78.2.23.fc9.i686/kernel/drivers/net/wireless/ath5k/ath5k.ko
version:        0.5.0 (EXPERIMENTAL)
license:        Dual BSD/GPL
description:    Support for 5xxx series of Atheros 802.11 wireless LAN cards.
author:         Nick Kossifidis
author:         Jiri Slaby
srcversion:     3D426BB4DB7011B1A29A2F5
alias:          pci:v0000168Cd0000001Csv*sd*bc*sc*i*
alias:          pci:v0000168Cd0000001Bsv*sd*bc*sc*i*
alias:          pci:v0000168Cd0000001Asv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000019sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000018sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000017sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000016sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000015sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000014sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00001014sv*sd*bc*sc*i*
alias:          pci:v000010B7d00000013sv*sd*bc*sc*i*
alias:          pci:v0000A727d00000013sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000013sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000012sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000011sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000007sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000207sv*sd*bc*sc*i*
depends:        cfg80211,mac80211
vermagic:       2.6.27.15-78.2.23.fc9.i686 SMP mod_unload 686 4KSTACKS
parm:           debug:uint


$ lsmod | grep ath
dm_multipath           17292  0
scsi_dh                 9476  1 dm_multipath
dm_mod                 48948  3 dm_mirror,dm_log,dm_multipath
ath5k                 112520  0
mac80211              173668  1 ath5k
cfg80211               23816  2 ath5k,mac80211

Big dmesg log of connection attempt that I did this morning:

Feb 26 10:25:07 localhost NetworkManager: <info>  Activation (wlan1) starting connection 'Auto xwiasi'
Feb 26 10:25:07 localhost NetworkManager: <info>  (wlan1): device state change: 3 -> 4
Feb 26 10:25:07 localhost NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) scheduled...
Feb 26 10:25:07 localhost NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) started...
Feb 26 10:25:07 localhost NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) scheduled...
Feb 26 10:25:07 localhost NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) complete.
Feb 26 10:25:07 localhost NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) starting...
Feb 26 10:25:07 localhost NetworkManager: <info>  (wlan1): device state change: 4 -> 5
Feb 26 10:25:07 localhost NetworkManager: <info>  Activation (wlan1/wireless): access point 'Auto xwiasi' has security, but secrets are required.
Feb 26 10:25:07 localhost NetworkManager: <info>  (wlan1): device state change: 5 -> 6
Feb 26 10:25:07 localhost NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) complete.
Feb 26 10:25:12 localhost NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) scheduled...
Feb 26 10:25:12 localhost NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) started...
Feb 26 10:25:12 localhost NetworkManager: <info>  (wlan1): device state change: 6 -> 4
Feb 26 10:25:12 localhost NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) scheduled...
Feb 26 10:25:12 localhost NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) complete.
Feb 26 10:25:12 localhost NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) starting...
Feb 26 10:25:12 localhost NetworkManager: <info>  (wlan1): device state change: 4 -> 5
Feb 26 10:25:12 localhost NetworkManager: <info>  Activation (wlan1/wireless): connection 'Auto xwiasi' has security, and secrets exist.  No new secrets needed.
Feb 26 10:25:12 localhost NetworkManager: <info>  Config: added 'ssid' value 'xwiasi'
Feb 26 10:25:12 localhost NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Feb 26 10:25:12 localhost NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'
Feb 26 10:25:12 localhost NetworkManager: <info>  Config: added 'psk' value '<omitted>'
Feb 26 10:25:12 localhost NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) complete.
Feb 26 10:25:12 localhost NetworkManager: <info>  Config: set interface ap_scan to 1
Feb 26 10:25:12 localhost NetworkManager: <info>  (wlan1): supplicant connection state:  inactive -> scanning
Feb 26 10:25:14 localhost kernel: ath5k phy0: gain calibration timeout (2462MHz)
Feb 26 10:25:14 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2462 Mhz)
Feb 26 10:25:14 localhost kernel: ath5k phy0: gain calibration timeout (2412MHz)
Feb 26 10:25:14 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2412 Mhz)
Feb 26 10:25:14 localhost NetworkManager: <info>  (wlan1): supplicant connection state:  scanning -> associating
Feb 26 10:25:14 localhost kernel: ath5k phy0: gain calibration timeout (2462MHz)
Feb 26 10:25:14 localhost kernel: ath5k phy0: can't reset hardware (-11)
Feb 26 10:25:14 localhost kernel: ath5k phy0: gain calibration timeout (2462MHz)
Feb 26 10:25:14 localhost kernel: ath5k phy0: can't reset hardware (-11)
Feb 26 10:25:15 localhost kernel: ath5k phy0: noise floor calibration timeout (2462MHz)
Feb 26 10:25:24 localhost NetworkManager: <info>  (wlan1): supplicant connection state:  associating -> disconnected
Feb 26 10:25:24 localhost NetworkManager: <info>  (wlan1): supplicant connection state:  disconnected -> scanning
Feb 26 10:25:25 localhost kernel: ath5k phy0: gain calibration timeout (2412MHz)
Feb 26 10:25:25 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2412 Mhz)
Feb 26 10:25:25 localhost kernel: ath5k phy0: gain calibration timeout (2417MHz)
Feb 26 10:25:25 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2417 Mhz)
Feb 26 10:25:25 localhost kernel: ath5k phy0: gain calibration timeout (2422MHz)
Feb 26 10:25:25 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2422 Mhz)
Feb 26 10:25:26 localhost kernel: ath5k phy0: gain calibration timeout (2427MHz)
Feb 26 10:25:26 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2427 Mhz)
Feb 26 10:25:26 localhost kernel: ath5k phy0: noise floor calibration failed (2427MHz)
Feb 26 10:25:26 localhost kernel: ath5k phy0: gain calibration timeout (2432MHz)
Feb 26 10:25:34 localhost kernel: __ratelimit: 13 callbacks suppressed
Feb 26 10:25:34 localhost kernel: ath5k phy0: gain calibration timeout (2412MHz)
Feb 26 10:25:34 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2412 Mhz)
Feb 26 10:25:34 localhost kernel: ath5k phy0: gain calibration timeout (2417MHz)
Feb 26 10:25:34 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2417 Mhz)
Feb 26 10:25:34 localhost kernel: ath5k phy0: gain calibration timeout (2422MHz)
Feb 26 10:25:34 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2422 Mhz)
Feb 26 10:25:35 localhost kernel: ath5k phy0: gain calibration timeout (2427MHz)
Feb 26 10:25:35 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2427 Mhz)
Feb 26 10:25:35 localhost kernel: ath5k phy0: gain calibration timeout (2432MHz)
Feb 26 10:25:35 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2432 Mhz)
Feb 26 10:25:37 localhost NetworkManager: <info>  Activation (wlan1/wireless): association took too long.
Feb 26 10:25:37 localhost NetworkManager: <info>  (wlan1): device state change: 5 -> 6
Feb 26 10:25:37 localhost NetworkManager: <info>  Activation (wlan1/wireless): asking for new secrets
Feb 26 10:25:37 localhost NetworkManager: <info>  (wlan1): supplicant connection state:  scanning -> disconnected
Feb 26 10:25:46 localhost kernel: __ratelimit: 13 callbacks suppressed
Feb 26 10:25:46 localhost kernel: ath5k phy0: noise floor calibration timeout (2462MHz)
Feb 26 10:25:52 localhost NetworkManager: <info>  wlan1: link timed out.
Feb 26 10:25:55 localhost NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) scheduled...
Feb 26 10:25:55 localhost NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) started...
Feb 26 10:25:55 localhost NetworkManager: <info>  (wlan1): device state change: 6 -> 4
Feb 26 10:25:55 localhost NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) scheduled...
Feb 26 10:25:55 localhost NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) complete.
Feb 26 10:25:55 localhost NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) starting...
Feb 26 10:25:55 localhost NetworkManager: <info>  (wlan1): device state change: 4 -> 5
Feb 26 10:25:55 localhost NetworkManager: <info>  Activation (wlan1/wireless): connection 'Auto xwiasi' has security, and secrets exist.  No new secrets needed.
Feb 26 10:25:55 localhost NetworkManager: <info>  Config: added 'ssid' value 'xwiasi'
Feb 26 10:25:55 localhost NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Feb 26 10:25:55 localhost NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'
Feb 26 10:25:55 localhost NetworkManager: <info>  Config: added 'psk' value '<omitted>'
Feb 26 10:25:55 localhost NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) complete.
Feb 26 10:25:55 localhost NetworkManager: <info>  Config: set interface ap_scan to 1
Feb 26 10:25:55 localhost NetworkManager: <info>  (wlan1): supplicant connection state:  disconnected -> scanning
Feb 26 10:25:56 localhost kernel: ath5k phy0: gain calibration timeout (2412MHz)
Feb 26 10:25:56 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2412 Mhz)
Feb 26 10:25:56 localhost kernel: ath5k phy0: gain calibration timeout (2417MHz)
Feb 26 10:25:56 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2417 Mhz)
Feb 26 10:25:56 localhost kernel: ath5k phy0: gain calibration timeout (2422MHz)
Feb 26 10:25:56 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2422 Mhz)
Feb 26 10:25:57 localhost kernel: ath5k phy0: gain calibration timeout (2427MHz)
Feb 26 10:25:57 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2427 Mhz)
Feb 26 10:25:57 localhost kernel: ath5k phy0: gain calibration timeout (2432MHz)
Feb 26 10:26:04 localhost kernel: __ratelimit: 14 callbacks suppressed
Feb 26 10:26:04 localhost kernel: ath5k phy0: gain calibration timeout (2412MHz)
Feb 26 10:26:04 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2412 Mhz)
Feb 26 10:26:05 localhost kernel: ath5k phy0: gain calibration timeout (2417MHz)
Feb 26 10:26:05 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2417 Mhz)
Feb 26 10:26:05 localhost kernel: ath5k phy0: gain calibration timeout (2422MHz)
Feb 26 10:26:05 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2422 Mhz)
Feb 26 10:26:05 localhost kernel: ath5k phy0: gain calibration timeout (2427MHz)
Feb 26 10:26:05 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2427 Mhz)
Feb 26 10:26:06 localhost kernel: ath5k phy0: gain calibration timeout (2432MHz)
Feb 26 10:26:06 localhost kernel: ath5k phy0: ath5k_chan_set: unable to reset channel (2432 Mhz)

Hope my feedback helps.

Cheers.
Comment 5 John W. Linville 2009-03-04 14:50:20 EST
Can you try a 2.6.29-based F10 kernel?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=92572
Comment 6 Enygma 2009-03-06 06:37:03 EST
I did try to install the locally downloaded rpm you pointed to by using
$ sudo yum localinstall kernel-2.6.29-0.53.rc7.fc10.i686.rpm 

but yum failed to resolve the dependencies.

I don`t know how to use or access Koji's "repository" (except from the web ui). Do I have to manually download each dependency package from the website or is there a yum repository for that?

Thanks for understanding.
Comment 7 John W. Linville 2009-03-06 09:01:59 EST
I'd have to see the dependencies to know what the exact problem might be, but I would bet that you could try this:

$ sudo yum --enablerepo=updates-testing \
      localinstall kernel-2.6.29-0.53.rc7.fc10.i686.rpm

Does that help?  Alternatively, the 2.6.29-based kernels will probably be available through the normal update process in a few more weeks.
Comment 8 Enygma 2009-03-06 09:52:27 EST
Unfortunately that does not help.

I still get:
--> Missing Dependency: mkinitrd >= 6.0.61-1 is needed by package kernel-2.6.29-0.53.rc7.fc10.i686 (kernel-2.6.29-0.53.rc7.fc10.i686.rpm)
Error: Missing Dependency: mkinitrd >= 6.0.61-1 is needed by package kernel-2.6.29-0.53.rc7.fc10.i686 (kernel-2.6.29-0.53.rc7.fc10.i686.rpm)
Error: Missing Dependency: kernel-firmware >= 2.6.29-0.53.rc7.fc10 is needed by package kernel-2.6.29-0.53.rc7.fc10.i686 (kernel-2.6.29-0.53.rc7.fc10.i686.rpm)

I will wait for the stable release on the public repository.

Because I do not have control over the problem, meaning that I can not reproduce the problem at my will, I will post here when I will experience it again.

This way you can draw some conclusions.

Right now I am running 2.6.27.19-78.2.30.fc9.i686 and it seems to be ok but I can`t be sure until the problem does not occur for, let`s say, a month or maybe more.

Thank you for your initiative.

I will keep you posted.
Comment 9 John W. Linville 2009-03-06 10:08:37 EST
Oh, sorry -- didn't realize you were on F9.  You will likely remain marooned on a 2.6.27-based kernel. :-(
Comment 10 Enygma 2009-03-06 10:56:14 EST
...

Probably there will come a time when I will *have* to upgrade to Fedora 10 on this laptop as well.

Until then, I`ll just hope that the problem got solved on my current kernel.
Comment 11 John W. Linville 2009-04-14 13:58:16 EDT
I'm not seeing any reports like this on F10 or later.  I'm closing this to help make my buglist more manageable...

Note You need to log in before you can comment on or make changes to this bug.